import { ContainerModule, interfaces } from 'inversify';
import { ClientTypes, IGeneratedSettings as ISettings, ITextDocumentPositionParams, IEditorService, IModelService } from '@workbench-stack/core';
import { EditorService, ModelService } from '../services';

export const workbenchModule: () => interfaces.ContainerModule =
() => new ContainerModule((bind: interfaces.Bind) => {
    bind<IEditorService>(ClientTypes.IEditorService).to(EditorService);
    bind<IModelService>(ClientTypes.IModelService).to(ModelService);
});
