import * as React from 'react';
import { InversifyContext } from '@workbench-stack/components';
import { getApolloContext } from '@apollo/react-common';

let __service_instance__;
export function useService<T>() {
  const { container, modules } = React.useContext(InversifyContext);
  const { client } = React.useContext(getApolloContext());
  if (__service_instance__) {
    return __service_instance__ as T;
  }
  if (!container) {
    throw new Error('Container is null');
  }
  container.bind('ApolloClient').toDynamicValue(context => client);
  container.bind('InMemoryCache').toDynamicValue(context => client.cache);
  __service_instance__ = modules.createService({}, {});
  return __service_instance__ as T;
}
